//Создание задачи диспетчерского вызова прочих задач
function [allActivateState]=SetActivateStateExecPoints(ActivateState..//Активированы или деактивированы ли точки запуска
                                                       )
    //Анализируем аргументы
    if argn(2) < 1 then
        error('The function SetActivateStateExecPoints takes 1 argument');
    end
    
    //Полное имя файла состояния активации или деактивации точек запуска сайлаба
    fullActivateStateFileName = fullfile(SCIHOME,'LanchingTasksInformation','ActivateState.txt');
    
    //Записывем в файл состояние активации или деактивации точек запуска сайлаба
    allActivateState = and(ActivateState);//Кластер активирован, когда все точки активированы
    if allActivateState then
        mputl("1",fullActivateStateFileName);//Записываем состояние активируемости кластера
    else
        mputl("0",fullActivateStateFileName);//Записываем состояние активируемости кластера
    end
    
    //Записываем в точки состояние активации или деактивации точек запуска сайлаба
    CommandPointsExec = GetCommandPoints()(2,:);//Получаем точки запуска
    PathToExecPoints = GetPathToExecPoints();//Получаем полное имя пути к точкам запуска
    fullCommandPointsExec = fullfile(PathToExecPoints,CommandPointsExec);//Полные имена точек запуска
    nCommandPointsExec = size(CommandPointsExec,'*');//Число точек запуска
    if size(ActivateState,'*') == 1 then
        ActivateState = repmat(ActivateState,[1,nCommandPointsExec]);
    end
    for ind=1:nCommandPointsExec
        //Формируем полное имя файла состояние активации или деактивации точек запуска сайлаба в точке запуска
        fullCommandPointExecActivateStateFile = fullfile(fullCommandPointsExec(ind),'ExecScilab');
        
        //Пишем состояние активации или деактивации точек запуска сайлаба в файл
        if ActivateState(ind) then
            mputl("1",fullCommandPointExecActivateStateFile);
        else
            mputl("0",fullCommandPointExecActivateStateFile);
        end
    end
endfunction
